Skip to main content
PUT
/
v1
/
custom-fields
/
reorder
Reorder custom fields
curl --request PUT \
  --url https://api.prod.getdex.com/v1/custom-fields/reorder \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "updates": [
    {
      "customFieldId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "ranking": 123
    }
  ]
}
'
{
  "error": true,
  "data": {
    "custom_fields": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "field_type": "<string>",
        "categories": [
          {
            "category": "<string>"
          }
        ],
        "ranking": 123,
        "created_at": "<string>",
        "updated_at": "<string>"
      }
    ]
  }
}

Use cases

  • Let users drag-and-drop custom fields to set their preferred display order
  • Ensure custom fields appear in a consistent order across web, mobile, and API responses
  • Persist field ordering preferences across sessions
Pass an array of { customFieldId, ranking } objects. All custom fields should be included to avoid gaps in the ordering.

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Body

application/json
updates
object[]
required
Required array length: 1 - 100 elements

Response

Successful response

error
boolean
required
data
object
required